Bug 165475 - Problem removing a USB device
Summary: Problem removing a USB device
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-08-09 18:05 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-03-15 16:22:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-08-09 18:05:07 UTC
Escalated to Bugzilla from IssueTracker

Comment 91 Pete Zaitcev 2005-08-19 04:11:31 UTC
Peter asked me to look at this ASAP, so I was in a hurry and misunderstood
what was happening. I take back comparisons with bug 120341. What actually
happened initially seems more similar to bug 129265: an oops while reading
/proc/bus/usb/devices and disconnecting in the same time. The fix attached
there should apply and help with this one. I do not know though.

"Fix" that Neil produced for .wibu was pure pampering over the problem, and
it a small surprise that usb-ohci collapsed. It's a very long and torturous
explanation, but the outcome is that while strictly speaking it's legal,
but in reality struct usb_device must not be freed from OHCI interrupts.
Usually it's no problem, because client drivers hold dev references and
drop them in ->disconnect methods.

Chris left no trace whatsoever regarding what he fixed in usbutils
and how that was supposed to work. I'm going to ping him and extract
details.

Neil, since you made a kernel for them, would you mind replacing the
NULL check with my fix from bug 129265 and have the customer try it again
(without any userland changes)? Chances are there won't be any freeing
from interrupt then. The .wibu had no serial minor, so it should be
"2.4.21-27.ELwibw" now to be the next release :-)


Comment 98 Ernie Petrides 2005-09-22 00:36:23 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.3.EL).


Comment 107 Red Hat Bugzilla 2006-03-15 16:22:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.